#
# Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana
#                         University Research and Technology
#                         Corporation.  All rights reserved.
# Copyright (c) 2004-2005 The University of Tennessee and The University
#                         of Tennessee Research Foundation.  All rights
#                         reserved.
# Copyright (c) 2004-2005 High Performance Computing Center Stuttgart, 
#                         University of Stuttgart.  All rights reserved.
# Copyright (c) 2004-2005 The Regents of the University of California.
#                         All rights reserved.
# $COPYRIGHT$
# 
# Additional copyrights may follow
# 
# $HEADER$
#

# Use the top-level Makefile.options



AM_CPPFLAGS = $(mpool_gm_CPPFLAGS)

sources = \
	mpool_gm.h \
	mpool_gm_module.c \
	mpool_gm_component.c

# Make the output library in this directory, and name it either
# mca_<type>_<name>.la (for DSO builds) or libmca_<type>_<name>.la
# (for static builds).

if OMPI_BUILD_mpool_gm_DSO
component_noinst =
component_install = mca_mpool_gm.la
else
component_noinst = libmca_mpool_gm.la
component_install =
endif

# See src/mca/ptl/gm/Makefile.am for an explanation of
# libmca_common_gm.la.
mcacomponentdir = $(libdir)/openmpi
mcacomponent_LTLIBRARIES = $(component_install)
mca_mpool_gm_la_SOURCES = $(sources)
mca_mpool_gm_la_LIBADD = \
    $(mpool_gm_LIBS) \
    $(top_ompi_builddir)/ompi/libmpi.la \
    $(top_ompi_builddir)/orte/liborte.la \
    $(top_ompi_builddir)/opal/libopal.la
mca_mpool_gm_la_LDFLAGS = -module -avoid-version $(mpool_gm_LDFLAGS)

noinst_LTLIBRARIES = $(component_noinst)
libmca_mpool_gm_la_SOURCES = $(sources)
libmca_mpool_gm_la_LIBADD = $(mpool_gm_LIBS)
libmca_mpool_gm_la_LDFLAGS = -module -avoid-version $(mpool_gm_LDFLAGS)
